Bug 1121097 - `katello-installer --help` mentions default twice for some options
Summary: `katello-installer --help` mentions default twice for some options
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Eric Helms
QA Contact: Kedar Bidarkar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 10:54 UTC by Jan Hutař
Modified: 2017-02-23 21:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:10:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 8270 None None None 2016-04-22 15:45:23 UTC

Description Jan Hutař 2014-07-18 10:54:31 UTC
Description of problem:
`katello-installer --help` mentions default twice for some options


Version-Release number of selected component (if applicable):
Satellite-6.0.4-RHEL-6-20140716.0


How reproducible:
always


Steps to Reproduce:
1. katello-installer --help


Actual results:
= Module certs:
    --certs-ca-common-name        Common name for the generated CA certificate (default: "<fqdn>")
    --certs-ca-expiration         Ca expiration attribute for managed certificates (default: "36500")
    --certs-city                  City attribute for managed certificates (default: "Raleigh")
    --certs-country               Country attribute for managed certificates (default: "US")
    --certs-default-ca-name       The name of the default CA;
                                  default 'katello' (default: "katello-ca")
    --certs-deploy                Deploy the certs on the configured system. False means
                                  we want apply it on a different system (default: true)
    --certs-expiration            Expiration attribute for managed certificates (default: "7300")
    --certs-generate              Should the generation of the certs be part of the
                                  configuration (default: true)
    --certs-group                 The group who should own the certs;
                                  default 'foreman' (default: "foreman")
    --certs-log-dir               When the log files should go (default: "/var/log/certs")
    --certs-node-fqdn             The fqdn of the host the generated certificates
                                  should be for (default: "<fqdn>")
    --certs-org                   Org attribute for managed certificates (default: "SomeOrg")
    --certs-org-unit              Org unit attribute for managed certificates (default: "SomeOrgUnit")
    --certs-password-file-dir     The location to store password files (default: "certs::params::password_file_dir")
    --certs-pki-dir               The PKI directory under which to place certs (default: "/etc/pki/katello")
    --certs-regenerate            Force regeneration of the certificates (excluding
                                  ca certificates) (default: false)
    --certs-regenerate-ca         Force regeneration of the ca certificate (default: false)
    --certs-ssl-build-dir         The directory where SSL keys, certs and RPMs will be generated (default: "/root/ssl-build")
    --certs-state                 State attribute for managed certificates (default: "North Carolina")
    --certs-user                  The system user name who should own the certs;
                                  default 'foreman' (default: "root")
[...]
= Module katello:
    --katello-config-dir          Location for Katello config files (default: "/etc/foreman/plugins")
    --katello-group               The Katello system user group;
                                  default 'foreman' (default: "foreman")
    --katello-log-dir             Location for Katello log files to be placed (default: "/var/log/foreman/plugins")
    --katello-oauth-key           The oauth key for talking to the candlepin API;
                                  default 'katello' (default: "katello")
    --katello-oauth-secret        The oauth secret for talking to the candlepin API; (default: "tNxhuTUXm6euGJvQd2qaZo43ni4N9uBB")
    --katello-post-sync-token     The shared secret for pulp notifying katello about
                                  completed syncs (default: "4x9CWGiwdzoPQZLbEpSEQTwUgGx7vo4n")
    --katello-proxy-password      Proxy password for authentication (default: nil)
    --katello-proxy-port          Port the proxy is running on (default: nil)
    --katello-proxy-url           URL of the proxy server (default: nil)
    --katello-proxy-username      Proxy username for authentication (default: nil)
    --katello-use-passenger       Whether Katello is being deployed with Passenger;
                                  default true (default: true)
    --katello-user                The Katello system user name;
                                  default 'foreman' (default: "foreman")
    --katello-user-groups         Extra user groups the Katello user is a part of;
                                  default 'foreman (default: "foreman")


Expected results:
These options mentions "default" value twice:
    --certs-default-ca-name
    --certs-group
    --certs-user
    --katello-group
    --katello-oauth-key
    --katello-use-passenger
    --katello-user
    --katello-user-groups

Comment 2 Eric Helms 2014-11-04 20:11:54 UTC
Created redmine issue http://projects.theforeman.org/issues/8270 from this bug

Comment 3 Bryan Kearney 2014-12-02 21:02:50 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/8270 has been closed

Comment 7 Kedar Bidarkar 2015-02-13 10:10:57 UTC
VERIFIED with Sat6.1 Beta -snap2

As per the comment 0 description, we now have only one 'default'.

[root@xxxx ~]# katello-installer --help | grep -ie certs-default-ca-name -ie certs-group -ie certs-user -ie katello-group -ie katello-oauth-key -ie katello-use-passenger -ie katello-user -ie katello-user-groups 
    --certs-default-ca-name       The name of the default CA (default: "katello-default-ca")
    --certs-group                 The group who should own the certs; (default: "foreman")
    --certs-user                  The system user name who should own the certs; (default: "root")
    --katello-group               The Katello system user group (default: "foreman")
    --katello-oauth-key           The oauth key for talking to the candlepin API (default: "katello")
    --katello-use-passenger       Whether Katello is being deployed with Passenger (default: true)
    --katello-user                The Katello system user name (default: "foreman")
    --katello-user-groups         Extra user groups the Katello user is a part of (default: "foreman")

Comment 8 Bryan Kearney 2015-08-11 13:34:06 UTC
This bug is slated to be released with Satellite 6.1.

Comment 9 errata-xmlrpc 2015-08-12 05:10:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.